{
	"configurations" : 
	[
		{
			"directories" : 
			[
				{
					"build" : ".",
					"childIndexes" : 
					[
						1
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-.-d0094a50bb2071803777.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"projectIndex" : 0,
					"source" : ".",
					"targetIndexes" : 
					[
						71,
						73,
						76,
						78,
						80,
						81,
						82,
						90,
						92,
						94,
						95,
						101,
						102,
						109,
						112,
						113,
						114,
						115,
						116,
						119
					]
				},
				{
					"build" : "esp-idf",
					"childIndexes" : 
					[
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						16,
						17,
						18,
						19,
						20,
						21,
						22,
						23,
						24,
						25,
						26,
						29,
						30,
						31,
						32,
						33,
						34,
						35,
						37,
						38,
						40,
						41,
						42,
						43,
						44,
						45,
						46,
						47,
						48,
						49,
						50,
						51,
						52,
						53,
						54,
						55,
						56,
						57,
						58,
						59,
						60,
						61,
						62,
						63,
						64,
						65,
						66,
						67,
						68,
						69,
						70,
						71,
						72,
						73,
						74,
						75,
						76,
						77,
						78,
						79,
						80,
						81,
						82,
						83,
						84,
						85,
						86,
						87,
						88,
						89,
						90,
						91,
						92
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf-edb31f0d64ce630ad11e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 0,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6"
				},
				{
					"build" : "esp-idf/xtensa",
					"jsonFile" : "directory-esp-idf.xtensa-9116c0e996f5896471c5.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/xtensa",
					"targetIndexes" : 
					[
						69
					]
				},
				{
					"build" : "esp-idf/esp_ringbuf",
					"jsonFile" : "directory-esp-idf.esp_ringbuf-2262a678467949269c75.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_ringbuf",
					"targetIndexes" : 
					[
						29
					]
				},
				{
					"build" : "esp-idf/efuse",
					"jsonFile" : "directory-esp-idf.efuse-1bcbdb356f9f379d21b8.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/efuse",
					"targetIndexes" : 
					[
						8,
						83,
						84,
						85,
						86,
						87,
						110,
						111
					]
				},
				{
					"build" : "esp-idf/esp_timer",
					"jsonFile" : "directory-esp-idf.esp_timer-b5f10508b6a681fc0b37.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_timer",
					"targetIndexes" : 
					[
						32
					]
				},
				{
					"build" : "esp-idf/driver",
					"jsonFile" : "directory-esp-idf.driver-2a20408c01210b858824.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver",
					"targetIndexes" : 
					[
						7
					]
				},
				{
					"build" : "esp-idf/esp_pm",
					"jsonFile" : "directory-esp-idf.esp_pm-7450a83c00eb05f9b980.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_pm",
					"targetIndexes" : 
					[
						28
					]
				},
				{
					"build" : "esp-idf/mbedtls",
					"childIndexes" : 
					[
						9
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls-3810ab0a4cd6e7d1132b.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls",
					"targetIndexes" : 
					[
						50,
						79
					]
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls",
					"childIndexes" : 
					[
						10,
						11,
						14,
						15
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls-5f43d863eecf15a9d068.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 8,
					"projectIndex" : 2,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls",
					"targetIndexes" : 
					[
						72
					]
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/include",
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.include-39b1c9fed688efeb4828.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 9,
					"projectIndex" : 2,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/include"
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/3rdparty",
					"childIndexes" : 
					[
						12,
						13
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.3rdparty-7185bf513231a7c9861b.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 9,
					"projectIndex" : 2,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/3rdparty"
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/3rdparty/everest",
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.3rdparty.everest-d3d5acd277ba04f396fd.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 11,
					"projectIndex" : 2,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/3rdparty/everest",
					"targetIndexes" : 
					[
						93
					]
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/3rdparty/p256-m",
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.3rdparty.p256-m-80c9a7af020730a39e54.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 11,
					"projectIndex" : 2,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/3rdparty/p256-m",
					"targetIndexes" : 
					[
						103
					]
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/library",
					"hasInstallRule" : true,
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.library-193b493708c9ca5d32bd.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 9,
					"projectIndex" : 2,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/library",
					"targetIndexes" : 
					[
						96,
						97,
						98,
						99
					]
				},
				{
					"build" : "esp-idf/mbedtls/mbedtls/pkgconfig",
					"jsonFile" : "directory-esp-idf.mbedtls.mbedtls.pkgconfig-8802bde4aa68e138b7d1.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.5.1"
					},
					"parentIndex" : 9,
					"projectIndex" : 2,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/pkgconfig"
				},
				{
					"build" : "esp-idf/esp_app_format",
					"jsonFile" : "directory-esp-idf.esp_app_format-80b9a889e0124ad0b0aa.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_app_format",
					"targetIndexes" : 
					[
						11
					]
				},
				{
					"build" : "esp-idf/bootloader_support",
					"jsonFile" : "directory-esp-idf.bootloader_support-3a6006cacae58ba515c2.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/bootloader_support",
					"targetIndexes" : 
					[
						3
					]
				},
				{
					"build" : "esp-idf/bootloader",
					"jsonFile" : "directory-esp-idf.bootloader-a22518a1ecd3b66403bc.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/bootloader",
					"targetIndexes" : 
					[
						77,
						89
					]
				},
				{
					"build" : "esp-idf/esptool_py",
					"jsonFile" : "directory-esp-idf.esptool_py-101b8a4a5a7b3cb04641.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esptool_py",
					"targetIndexes" : 
					[
						74,
						75,
						88
					]
				},
				{
					"build" : "esp-idf/partition_table",
					"jsonFile" : "directory-esp-idf.partition_table-1d74113b2bcde061baf2.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/partition_table",
					"targetIndexes" : 
					[
						91,
						104,
						105,
						106,
						107,
						108
					]
				},
				{
					"build" : "esp-idf/esp_partition",
					"jsonFile" : "directory-esp-idf.esp_partition-03c48b918c75587ec827.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_partition",
					"targetIndexes" : 
					[
						26
					]
				},
				{
					"build" : "esp-idf/app_update",
					"jsonFile" : "directory-esp-idf.app_update-08f72918cc9da9e00112.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/app_update",
					"targetIndexes" : 
					[
						2
					]
				},
				{
					"build" : "esp-idf/esp_mm",
					"jsonFile" : "directory-esp-idf.esp_mm-164b97fc8387f52cb3a0.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_mm",
					"targetIndexes" : 
					[
						24
					]
				},
				{
					"build" : "esp-idf/spi_flash",
					"jsonFile" : "directory-esp-idf.spi_flash-e7dde3901e82100612d5.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/spi_flash",
					"targetIndexes" : 
					[
						59
					]
				},
				{
					"build" : "esp-idf/pthread",
					"jsonFile" : "directory-esp-idf.pthread-3cab81927ded6eed0f32.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/pthread",
					"targetIndexes" : 
					[
						56
					]
				},
				{
					"build" : "esp-idf/esp_system",
					"childIndexes" : 
					[
						27
					],
					"jsonFile" : "directory-esp-idf.esp_system-1e08bf1e67408bfe4df1.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system",
					"targetIndexes" : 
					[
						31,
						70,
						100
					]
				},
				{
					"build" : "esp-idf/esp_system/port",
					"childIndexes" : 
					[
						28
					],
					"jsonFile" : "directory-esp-idf.esp_system.port-0f54f8afbd64371d060c.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 26,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/port"
				},
				{
					"build" : "esp-idf/esp_system/port/soc/esp32s2",
					"jsonFile" : "directory-esp-idf.esp_system.port.soc.esp32s2-7638c8140decf7cef003.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 27,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/port/soc/esp32s2"
				},
				{
					"build" : "esp-idf/esp_common",
					"jsonFile" : "directory-esp-idf.esp_common-d0a58f44f5a83645aa5c.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_common",
					"targetIndexes" : 
					[
						13
					]
				},
				{
					"build" : "esp-idf/esp_rom",
					"jsonFile" : "directory-esp-idf.esp_rom-29604677ddb1a88f2c47.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom",
					"targetIndexes" : 
					[
						30
					]
				},
				{
					"build" : "esp-idf/hal",
					"jsonFile" : "directory-esp-idf.hal-07e15e1a946bb94a6b74.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal",
					"targetIndexes" : 
					[
						43
					]
				},
				{
					"build" : "esp-idf/log",
					"jsonFile" : "directory-esp-idf.log-ae6490b62fdb19881988.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/log",
					"targetIndexes" : 
					[
						48
					]
				},
				{
					"build" : "esp-idf/heap",
					"jsonFile" : "directory-esp-idf.heap-56575178d5e35b2d0068.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/heap",
					"targetIndexes" : 
					[
						44
					]
				},
				{
					"build" : "esp-idf/soc",
					"jsonFile" : "directory-esp-idf.soc-55fda2c644bd5ed531be.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc",
					"targetIndexes" : 
					[
						58
					]
				},
				{
					"build" : "esp-idf/esp_hw_support",
					"childIndexes" : 
					[
						36
					],
					"jsonFile" : "directory-esp-idf.esp_hw_support-795e67e218f5bd9bee22.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support",
					"targetIndexes" : 
					[
						21
					]
				},
				{
					"build" : "esp-idf/esp_hw_support/port/esp32s2",
					"jsonFile" : "directory-esp-idf.esp_hw_support.port.esp32s2-99bc372b11d9f72a5aa3.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 35,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/port/esp32s2"
				},
				{
					"build" : "esp-idf/freertos",
					"jsonFile" : "directory-esp-idf.freertos-e2aee8743fb573e60d9a.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos",
					"targetIndexes" : 
					[
						42
					]
				},
				{
					"build" : "esp-idf/newlib",
					"childIndexes" : 
					[
						39
					],
					"jsonFile" : "directory-esp-idf.newlib-9dc1a33c84a63bbaaed0.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/newlib",
					"targetIndexes" : 
					[
						51
					]
				},
				{
					"build" : "esp-idf/newlib/port",
					"jsonFile" : "directory-esp-idf.newlib.port-d25f92b7f9fae240afd0.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 38,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/newlib/port"
				},
				{
					"build" : "esp-idf/cxx",
					"jsonFile" : "directory-esp-idf.cxx-646ec361fbdf9fa867d2.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/cxx",
					"targetIndexes" : 
					[
						6
					]
				},
				{
					"build" : "esp-idf/__pio_env",
					"jsonFile" : "directory-esp-idf.__pio_env-266c2068d73fe45280c4.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/__pio_env",
					"targetIndexes" : 
					[
						0
					]
				},
				{
					"build" : "esp-idf/app_trace",
					"jsonFile" : "directory-esp-idf.app_trace-7370e8ba83d241903703.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/app_trace",
					"targetIndexes" : 
					[
						1
					]
				},
				{
					"build" : "esp-idf/esp_event",
					"jsonFile" : "directory-esp-idf.esp_event-ce58ebcd7cd5dca399ba.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_event",
					"targetIndexes" : 
					[
						15
					]
				},
				{
					"build" : "esp-idf/nvs_flash",
					"jsonFile" : "directory-esp-idf.nvs_flash-4f931c1f9eb51e566a29.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/nvs_flash",
					"targetIndexes" : 
					[
						52
					]
				},
				{
					"build" : "esp-idf/esp_phy",
					"jsonFile" : "directory-esp-idf.esp_phy-f7c58f56680dadc96573.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_phy",
					"targetIndexes" : 
					[
						27
					]
				},
				{
					"build" : "esp-idf/vfs",
					"jsonFile" : "directory-esp-idf.vfs-53f6ac2338b3b5c96ad5.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/vfs",
					"targetIndexes" : 
					[
						66
					]
				},
				{
					"build" : "esp-idf/lwip",
					"jsonFile" : "directory-esp-idf.lwip-034bf974124b350e06ef.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip",
					"targetIndexes" : 
					[
						49
					]
				},
				{
					"build" : "esp-idf/esp_netif_stack",
					"jsonFile" : "directory-esp-idf.esp_netif_stack-2863c8bb9e722d88f5a8.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_netif_stack"
				},
				{
					"build" : "esp-idf/esp_netif",
					"jsonFile" : "directory-esp-idf.esp_netif-3f3fd05149e0dfaeda7f.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_netif",
					"targetIndexes" : 
					[
						25
					]
				},
				{
					"build" : "esp-idf/wpa_supplicant",
					"jsonFile" : "directory-esp-idf.wpa_supplicant-b28f83847352774289fa.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/wpa_supplicant",
					"targetIndexes" : 
					[
						68
					]
				},
				{
					"build" : "esp-idf/esp_coex",
					"jsonFile" : "directory-esp-idf.esp_coex-a5e064de164f91165135.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_coex",
					"targetIndexes" : 
					[
						12
					]
				},
				{
					"build" : "esp-idf/esp_wifi",
					"jsonFile" : "directory-esp-idf.esp_wifi-751b23ef8a6c475e23e7.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_wifi",
					"targetIndexes" : 
					[
						33
					]
				},
				{
					"build" : "esp-idf/bt",
					"jsonFile" : "directory-esp-idf.bt-98311d889c55f7142a40.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/bt"
				},
				{
					"build" : "esp-idf/unity",
					"jsonFile" : "directory-esp-idf.unity-1e8ed065c2f925c12092.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/unity",
					"targetIndexes" : 
					[
						64
					]
				},
				{
					"build" : "esp-idf/cmock",
					"jsonFile" : "directory-esp-idf.cmock-286ab5119fe0ae2a2bd7.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/cmock",
					"targetIndexes" : 
					[
						4
					]
				},
				{
					"build" : "esp-idf/console",
					"jsonFile" : "directory-esp-idf.console-b4ec3e73d4ab07cb656c.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/console",
					"targetIndexes" : 
					[
						5
					]
				},
				{
					"build" : "esp-idf/http_parser",
					"jsonFile" : "directory-esp-idf.http_parser-5bcff65c16422c00d65c.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/http_parser",
					"targetIndexes" : 
					[
						45
					]
				},
				{
					"build" : "esp-idf/esp-tls",
					"jsonFile" : "directory-esp-idf.esp-tls-00530ea15679492ad700.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp-tls",
					"targetIndexes" : 
					[
						9
					]
				},
				{
					"build" : "esp-idf/esp_adc",
					"jsonFile" : "directory-esp-idf.esp_adc-74eb51ef937db36693eb.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_adc",
					"targetIndexes" : 
					[
						10
					]
				},
				{
					"build" : "esp-idf/esp_eth",
					"jsonFile" : "directory-esp-idf.esp_eth-d39371d71aa440402d23.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_eth",
					"targetIndexes" : 
					[
						14
					]
				},
				{
					"build" : "esp-idf/esp_gdbstub",
					"jsonFile" : "directory-esp-idf.esp_gdbstub-9f762d905887b22f988e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_gdbstub",
					"targetIndexes" : 
					[
						16
					]
				},
				{
					"build" : "esp-idf/esp_hid",
					"jsonFile" : "directory-esp-idf.esp_hid-8b1836d03430c14c5d18.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hid",
					"targetIndexes" : 
					[
						17
					]
				},
				{
					"build" : "esp-idf/tcp_transport",
					"jsonFile" : "directory-esp-idf.tcp_transport-e4d1ae563217c7cae5b3.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/tcp_transport",
					"targetIndexes" : 
					[
						61
					]
				},
				{
					"build" : "esp-idf/esp_http_client",
					"jsonFile" : "directory-esp-idf.esp_http_client-c51373cb11d85a829091.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_http_client",
					"targetIndexes" : 
					[
						18
					]
				},
				{
					"build" : "esp-idf/esp_http_server",
					"jsonFile" : "directory-esp-idf.esp_http_server-cd4872a9c3d5239b7453.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_http_server",
					"targetIndexes" : 
					[
						19
					]
				},
				{
					"build" : "esp-idf/esp_https_ota",
					"jsonFile" : "directory-esp-idf.esp_https_ota-1be7b96fe7ef2daad875.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_https_ota",
					"targetIndexes" : 
					[
						20
					]
				},
				{
					"build" : "esp-idf/esp_https_server",
					"jsonFile" : "directory-esp-idf.esp_https_server-54986e039b7e35ae642b.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_https_server"
				},
				{
					"build" : "esp-idf/esp_psram",
					"jsonFile" : "directory-esp-idf.esp_psram-164330a3ade783248d8c.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_psram"
				},
				{
					"build" : "esp-idf/esp_lcd",
					"jsonFile" : "directory-esp-idf.esp_lcd-aa81b4afd5a9055770a8.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_lcd",
					"targetIndexes" : 
					[
						22
					]
				},
				{
					"build" : "esp-idf/protobuf-c",
					"jsonFile" : "directory-esp-idf.protobuf-c-47c447d3a4c35f9c18e5.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protobuf-c",
					"targetIndexes" : 
					[
						54
					]
				},
				{
					"build" : "esp-idf/protocomm",
					"jsonFile" : "directory-esp-idf.protocomm-d30841c805d0f4ed5c5f.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm",
					"targetIndexes" : 
					[
						55
					]
				},
				{
					"build" : "esp-idf/esp_local_ctrl",
					"jsonFile" : "directory-esp-idf.esp_local_ctrl-30fdd9006044c5f0d3cd.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_local_ctrl",
					"targetIndexes" : 
					[
						23
					]
				},
				{
					"build" : "esp-idf/espcoredump",
					"jsonFile" : "directory-esp-idf.espcoredump-66dd4b90888c99391dd5.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/espcoredump",
					"targetIndexes" : 
					[
						34
					]
				},
				{
					"build" : "esp-idf/wear_levelling",
					"jsonFile" : "directory-esp-idf.wear_levelling-ab4030695e5a8b660b12.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/wear_levelling",
					"targetIndexes" : 
					[
						67
					]
				},
				{
					"build" : "esp-idf/sdmmc",
					"jsonFile" : "directory-esp-idf.sdmmc-3356200f4c0c4045c34b.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/sdmmc",
					"targetIndexes" : 
					[
						57
					]
				},
				{
					"build" : "esp-idf/fatfs",
					"jsonFile" : "directory-esp-idf.fatfs-8d23ae5f601c07edfb67.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/fatfs",
					"targetIndexes" : 
					[
						40
					]
				},
				{
					"build" : "esp-idf/idf_test",
					"jsonFile" : "directory-esp-idf.idf_test-9bd4f2fb126dd83e27ba.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/idf_test"
				},
				{
					"build" : "esp-idf/ieee802154",
					"jsonFile" : "directory-esp-idf.ieee802154-dbdb523b947a1bdd3b5f.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ieee802154"
				},
				{
					"build" : "esp-idf/json",
					"jsonFile" : "directory-esp-idf.json-9b1c2e5eac61f6313ca8.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/json",
					"targetIndexes" : 
					[
						47
					]
				},
				{
					"build" : "esp-idf/openthread",
					"jsonFile" : "directory-esp-idf.openthread-09bdfc60081b417e4192.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/openthread"
				},
				{
					"build" : "esp-idf/perfmon",
					"jsonFile" : "directory-esp-idf.perfmon-b0e7a0a526857e60c8ca.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/perfmon",
					"targetIndexes" : 
					[
						53
					]
				},
				{
					"build" : "esp-idf/touch_element",
					"jsonFile" : "directory-esp-idf.touch_element-705c890caf80623a9c76.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/touch_element",
					"targetIndexes" : 
					[
						62
					]
				},
				{
					"build" : "esp-idf/ulp",
					"jsonFile" : "directory-esp-idf.ulp-6d61d06d93db18768126.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ulp",
					"targetIndexes" : 
					[
						63
					]
				},
				{
					"build" : "esp-idf/usb",
					"jsonFile" : "directory-esp-idf.usb-ed66c52f9d97ad420472.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/usb",
					"targetIndexes" : 
					[
						65
					]
				},
				{
					"build" : "esp-idf/src",
					"jsonFile" : "directory-esp-idf.src-c23e0bc8c53af43ca0ef.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "src",
					"targetIndexes" : 
					[
						60,
						117,
						118
					]
				},
				{
					"build" : "esp-idf/espressif__mdns",
					"jsonFile" : "directory-esp-idf.espressif__mdns-8bc0cb774bebef2ab5aa.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "managed_components/espressif__mdns",
					"targetIndexes" : 
					[
						38
					]
				},
				{
					"build" : "esp-idf/espressif__esp-dsp",
					"jsonFile" : "directory-esp-idf.espressif__esp-dsp-fe2b2635fb99305225c1.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "managed_components/espressif__esp-dsp",
					"targetIndexes" : 
					[
						35
					]
				},
				{
					"build" : "esp-idf/espressif__esp_modem",
					"jsonFile" : "directory-esp-idf.espressif__esp_modem-f5820b6333559d2cb78f.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "managed_components/espressif__esp_modem",
					"targetIndexes" : 
					[
						36
					]
				},
				{
					"build" : "esp-idf/joltwallet__littlefs",
					"jsonFile" : "directory-esp-idf.joltwallet__littlefs-b9e6525a9a31950f3963.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "managed_components/joltwallet__littlefs",
					"targetIndexes" : 
					[
						46
					]
				},
				{
					"build" : "esp-idf/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895",
					"jsonFile" : "directory-esp-idf.framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895-971b0febc5d116a2d5ac.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895",
					"targetIndexes" : 
					[
						41
					]
				},
				{
					"build" : "esp-idf/espressif__tinyusb",
					"jsonFile" : "directory-esp-idf.espressif__tinyusb-6ebff267e772153d04bc.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "components/espressif__tinyusb",
					"targetIndexes" : 
					[
						39
					]
				},
				{
					"build" : "esp-idf/espressif__esp_tinyusb",
					"jsonFile" : "directory-esp-idf.espressif__esp_tinyusb-a722dc9c0128faef2374.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 1,
					"projectIndex" : 1,
					"source" : "components/espressif__esp_tinyusb",
					"targetIndexes" : 
					[
						37
					]
				}
			],
			"name" : "",
			"projects" : 
			[
				{
					"childIndexes" : 
					[
						1
					],
					"directoryIndexes" : 
					[
						0
					],
					"name" : "waterius-esp32",
					"targetIndexes" : 
					[
						71,
						73,
						76,
						78,
						80,
						81,
						82,
						90,
						92,
						94,
						95,
						101,
						102,
						109,
						112,
						113,
						114,
						115,
						116,
						119
					]
				},
				{
					"childIndexes" : 
					[
						2
					],
					"directoryIndexes" : 
					[
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						16,
						17,
						18,
						19,
						20,
						21,
						22,
						23,
						24,
						25,
						26,
						27,
						28,
						29,
						30,
						31,
						32,
						33,
						34,
						35,
						36,
						37,
						38,
						39,
						40,
						41,
						42,
						43,
						44,
						45,
						46,
						47,
						48,
						49,
						50,
						51,
						52,
						53,
						54,
						55,
						56,
						57,
						58,
						59,
						60,
						61,
						62,
						63,
						64,
						65,
						66,
						67,
						68,
						69,
						70,
						71,
						72,
						73,
						74,
						75,
						76,
						77,
						78,
						79,
						80,
						81,
						82,
						83,
						84,
						85,
						86,
						87,
						88,
						89,
						90,
						91,
						92
					],
					"name" : "esp-idf",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21,
						22,
						23,
						24,
						25,
						26,
						27,
						28,
						29,
						30,
						31,
						32,
						33,
						34,
						35,
						36,
						37,
						38,
						39,
						40,
						41,
						42,
						43,
						44,
						45,
						46,
						47,
						48,
						49,
						50,
						51,
						52,
						53,
						54,
						55,
						56,
						57,
						58,
						59,
						60,
						61,
						62,
						63,
						64,
						65,
						66,
						67,
						68,
						69,
						70,
						74,
						75,
						77,
						79,
						83,
						84,
						85,
						86,
						87,
						88,
						89,
						91,
						100,
						104,
						105,
						106,
						107,
						108,
						110,
						111,
						117,
						118
					]
				},
				{
					"directoryIndexes" : 
					[
						9,
						10,
						11,
						12,
						13,
						14,
						15
					],
					"name" : "Mbed TLS",
					"parentIndex" : 1,
					"targetIndexes" : 
					[
						72,
						93,
						96,
						97,
						98,
						99,
						103
					]
				}
			],
			"targets" : 
			[
				{
					"directoryIndex" : 41,
					"id" : "__idf___pio_env::@8ed72ffb2edf9d360e6d",
					"jsonFile" : "target-__idf___pio_env-509c231130c1ea9deb4f.json",
					"name" : "__idf___pio_env",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 42,
					"id" : "__idf_app_trace::@dd7eb3aa23293586d3b8",
					"jsonFile" : "target-__idf_app_trace-ad17f2300f4b7b4cdb04.json",
					"name" : "__idf_app_trace",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 22,
					"id" : "__idf_app_update::@cc3b426666063acc9674",
					"jsonFile" : "target-__idf_app_update-6853287b6b467e3cb223.json",
					"name" : "__idf_app_update",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 17,
					"id" : "__idf_bootloader_support::@d88583f91142925c6676",
					"jsonFile" : "target-__idf_bootloader_support-20850a1001fe6d5ff0c9.json",
					"name" : "__idf_bootloader_support",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 55,
					"id" : "__idf_cmock::@38f9eb59693b7394f54c",
					"jsonFile" : "target-__idf_cmock-a484122585b717a8b4ed.json",
					"name" : "__idf_cmock",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 56,
					"id" : "__idf_console::@4311ed8d271cc0ee1422",
					"jsonFile" : "target-__idf_console-00e234a09c7d23e80341.json",
					"name" : "__idf_console",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 40,
					"id" : "__idf_cxx::@fc68b7334ac9a9392d41",
					"jsonFile" : "target-__idf_cxx-0d35cd00c99694101998.json",
					"name" : "__idf_cxx",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 6,
					"id" : "__idf_driver::@76403182dd99a02c203e",
					"jsonFile" : "target-__idf_driver-02e6506650b179d9709e.json",
					"name" : "__idf_driver",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "__idf_efuse::@2da764c922f8b73e9c75",
					"jsonFile" : "target-__idf_efuse-6ac580acdd919fc9d44d.json",
					"name" : "__idf_efuse",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 58,
					"id" : "__idf_esp-tls::@fec40229f530785b7d3e",
					"jsonFile" : "target-__idf_esp-tls-0d03f2953abdbaa729a4.json",
					"name" : "__idf_esp-tls",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 59,
					"id" : "__idf_esp_adc::@847b8318c687ffb50ebb",
					"jsonFile" : "target-__idf_esp_adc-b393c346c0a88cf5fd3d.json",
					"name" : "__idf_esp_adc",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 16,
					"id" : "__idf_esp_app_format::@08c2bdce7fd85cdbea06",
					"jsonFile" : "target-__idf_esp_app_format-71654cdf6cfc78af4b8c.json",
					"name" : "__idf_esp_app_format",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 51,
					"id" : "__idf_esp_coex::@63a11468974fcf3715f9",
					"jsonFile" : "target-__idf_esp_coex-ae740d0100f517330427.json",
					"name" : "__idf_esp_coex",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 29,
					"id" : "__idf_esp_common::@5ba0aac035ae9b4e20a4",
					"jsonFile" : "target-__idf_esp_common-f2c3c40c60bc7ad0861b.json",
					"name" : "__idf_esp_common",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 60,
					"id" : "__idf_esp_eth::@68140d310044213ed0bc",
					"jsonFile" : "target-__idf_esp_eth-fa95491a1d383796f7c8.json",
					"name" : "__idf_esp_eth",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 43,
					"id" : "__idf_esp_event::@1426f3cbfb4523713151",
					"jsonFile" : "target-__idf_esp_event-21a9ac279ea079772e63.json",
					"name" : "__idf_esp_event",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 61,
					"id" : "__idf_esp_gdbstub::@377a8c6ee3088554e323",
					"jsonFile" : "target-__idf_esp_gdbstub-dea6a7ae67a8fb3c33cf.json",
					"name" : "__idf_esp_gdbstub",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 62,
					"id" : "__idf_esp_hid::@15df40e16a5d8775dd9b",
					"jsonFile" : "target-__idf_esp_hid-c08079d5563b662d19af.json",
					"name" : "__idf_esp_hid",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 64,
					"id" : "__idf_esp_http_client::@483ffd9ca1a06508c93f",
					"jsonFile" : "target-__idf_esp_http_client-eedc9b1b92d58b304676.json",
					"name" : "__idf_esp_http_client",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 65,
					"id" : "__idf_esp_http_server::@1e8eede8f41363800887",
					"jsonFile" : "target-__idf_esp_http_server-fbca20a3d6c1248b4d04.json",
					"name" : "__idf_esp_http_server",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 66,
					"id" : "__idf_esp_https_ota::@55ee5ec07370a5473c2b",
					"jsonFile" : "target-__idf_esp_https_ota-7cc3f70da3c7d55f9309.json",
					"name" : "__idf_esp_https_ota",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 35,
					"id" : "__idf_esp_hw_support::@ce4791f5a7554c569ddb",
					"jsonFile" : "target-__idf_esp_hw_support-1a75c70418be549f690c.json",
					"name" : "__idf_esp_hw_support",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 69,
					"id" : "__idf_esp_lcd::@d5a84597e1633c9ab0d3",
					"jsonFile" : "target-__idf_esp_lcd-b86019198345bb87bb00.json",
					"name" : "__idf_esp_lcd",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 72,
					"id" : "__idf_esp_local_ctrl::@d6aad58d2946e56208ef",
					"jsonFile" : "target-__idf_esp_local_ctrl-e18026a07ceed4e9b911.json",
					"name" : "__idf_esp_local_ctrl",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 23,
					"id" : "__idf_esp_mm::@346d49dc35574b4eea7e",
					"jsonFile" : "target-__idf_esp_mm-8ad71ea1efd60bda91f0.json",
					"name" : "__idf_esp_mm",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 49,
					"id" : "__idf_esp_netif::@0dd2a33d00052a11574d",
					"jsonFile" : "target-__idf_esp_netif-cae97d58b6bdc858ec92.json",
					"name" : "__idf_esp_netif",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 21,
					"id" : "__idf_esp_partition::@d7cc29bd06eede980e19",
					"jsonFile" : "target-__idf_esp_partition-16c718b756b03bd318a0.json",
					"name" : "__idf_esp_partition",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 45,
					"id" : "__idf_esp_phy::@c4472d8d68a6cb344214",
					"jsonFile" : "target-__idf_esp_phy-845f4665590d45bc83d6.json",
					"name" : "__idf_esp_phy",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 7,
					"id" : "__idf_esp_pm::@c93acdd4f72df5fa58db",
					"jsonFile" : "target-__idf_esp_pm-900f64324d093f9c4fa9.json",
					"name" : "__idf_esp_pm",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 3,
					"id" : "__idf_esp_ringbuf::@ad62994b1ce98b81017d",
					"jsonFile" : "target-__idf_esp_ringbuf-ce76e1fb8f8dfbae402e.json",
					"name" : "__idf_esp_ringbuf",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 30,
					"id" : "__idf_esp_rom::@c269e361cd87ad81e927",
					"jsonFile" : "target-__idf_esp_rom-a3fe39ae324a07d56016.json",
					"name" : "__idf_esp_rom",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 26,
					"id" : "__idf_esp_system::@874df54e61e20112dfd4",
					"jsonFile" : "target-__idf_esp_system-0b08b4a330e62a428390.json",
					"name" : "__idf_esp_system",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 5,
					"id" : "__idf_esp_timer::@08b57a33b2000f8ac4ee",
					"jsonFile" : "target-__idf_esp_timer-68ab2562eecdc68a3671.json",
					"name" : "__idf_esp_timer",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 52,
					"id" : "__idf_esp_wifi::@c33f1523799863800685",
					"jsonFile" : "target-__idf_esp_wifi-697ef827091cb351107d.json",
					"name" : "__idf_esp_wifi",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 73,
					"id" : "__idf_espcoredump::@718b9a7d55ab42cfc0a3",
					"jsonFile" : "target-__idf_espcoredump-66b5f3aa588257194ff4.json",
					"name" : "__idf_espcoredump",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 87,
					"id" : "__idf_espressif__esp-dsp::@173cdc30d8d2ec42511f",
					"jsonFile" : "target-__idf_espressif__esp-dsp-f4f3786fefbf7d62394c.json",
					"name" : "__idf_espressif__esp-dsp",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 88,
					"id" : "__idf_espressif__esp_modem::@e71879e93e1b868b600d",
					"jsonFile" : "target-__idf_espressif__esp_modem-9d7236e50d8d8d3321e6.json",
					"name" : "__idf_espressif__esp_modem",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 92,
					"id" : "__idf_espressif__esp_tinyusb::@ff095a9d0cd52244f860",
					"jsonFile" : "target-__idf_espressif__esp_tinyusb-1b25b0a5869385838591.json",
					"name" : "__idf_espressif__esp_tinyusb",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 86,
					"id" : "__idf_espressif__mdns::@d92204a997f34ad8e688",
					"jsonFile" : "target-__idf_espressif__mdns-d15f29789a21599e0419.json",
					"name" : "__idf_espressif__mdns",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 91,
					"id" : "__idf_espressif__tinyusb::@4abff0aa0afeda80b63b",
					"jsonFile" : "target-__idf_espressif__tinyusb-cb243c0f64b2bf3c9753.json",
					"name" : "__idf_espressif__tinyusb",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 76,
					"id" : "__idf_fatfs::@75ac1d9b25dacc8cc9e7",
					"jsonFile" : "target-__idf_fatfs-b6be72fb1c7957475b1a.json",
					"name" : "__idf_fatfs",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 90,
					"id" : "__idf_framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895::@b1e5f4a5c217d61d98b1",
					"jsonFile" : "target-__idf_framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895-c9bc259c0cc2da61b16f.json",
					"name" : "__idf_framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 37,
					"id" : "__idf_freertos::@7334568587001871092c",
					"jsonFile" : "target-__idf_freertos-66e0144df888133acd78.json",
					"name" : "__idf_freertos",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 31,
					"id" : "__idf_hal::@41c1a00f56cd1e9ede18",
					"jsonFile" : "target-__idf_hal-81b9e76907da95252e0c.json",
					"name" : "__idf_hal",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 33,
					"id" : "__idf_heap::@a3bf99b7c47be461ad9f",
					"jsonFile" : "target-__idf_heap-93f454df358b5ee17328.json",
					"name" : "__idf_heap",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 57,
					"id" : "__idf_http_parser::@358cb9c2b49fd348008f",
					"jsonFile" : "target-__idf_http_parser-b98f1b9df14b1e15a26a.json",
					"name" : "__idf_http_parser",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 89,
					"id" : "__idf_joltwallet__littlefs::@76002c3da0fd4d8a082e",
					"jsonFile" : "target-__idf_joltwallet__littlefs-bafdce57eae8ba4378cf.json",
					"name" : "__idf_joltwallet__littlefs",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 79,
					"id" : "__idf_json::@c78a8bdc820334f01148",
					"jsonFile" : "target-__idf_json-8cdf35b08c22c6b7f491.json",
					"name" : "__idf_json",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 32,
					"id" : "__idf_log::@d5e1aa0ef4e3c98c8a70",
					"jsonFile" : "target-__idf_log-016094e21e4f31a09c90.json",
					"name" : "__idf_log",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 47,
					"id" : "__idf_lwip::@72bd17b7eb336521f94d",
					"jsonFile" : "target-__idf_lwip-7f4c09ecce60450b9854.json",
					"name" : "__idf_lwip",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 8,
					"id" : "__idf_mbedtls::@9d0b8d44c897d31e7973",
					"jsonFile" : "target-__idf_mbedtls-dda7d0d60d4ddfa0d580.json",
					"name" : "__idf_mbedtls",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 38,
					"id" : "__idf_newlib::@1dbc38583ffafd67f967",
					"jsonFile" : "target-__idf_newlib-3cd99868a654aa99d6cc.json",
					"name" : "__idf_newlib",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 44,
					"id" : "__idf_nvs_flash::@b6cf96db3b320cf2c923",
					"jsonFile" : "target-__idf_nvs_flash-bb94fb2f189e771d3ac6.json",
					"name" : "__idf_nvs_flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 81,
					"id" : "__idf_perfmon::@aac0f647c32bb8f54a67",
					"jsonFile" : "target-__idf_perfmon-0c3cef84ab390d599bcf.json",
					"name" : "__idf_perfmon",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 70,
					"id" : "__idf_protobuf-c::@b14513c4bd859268ec22",
					"jsonFile" : "target-__idf_protobuf-c-ff016166cb741bc8b1cd.json",
					"name" : "__idf_protobuf-c",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 71,
					"id" : "__idf_protocomm::@d76d01c8dec06205e1fc",
					"jsonFile" : "target-__idf_protocomm-95c6cbae54b31d3d4844.json",
					"name" : "__idf_protocomm",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 25,
					"id" : "__idf_pthread::@52b2aa0be8fa4ca9e52e",
					"jsonFile" : "target-__idf_pthread-8132974503fcfbd05aab.json",
					"name" : "__idf_pthread",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 75,
					"id" : "__idf_sdmmc::@89ed5bca1750ffbc7db6",
					"jsonFile" : "target-__idf_sdmmc-2238fadaa3ef454fa5ed.json",
					"name" : "__idf_sdmmc",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 34,
					"id" : "__idf_soc::@824f1541829f13857909",
					"jsonFile" : "target-__idf_soc-058228dbafdbc4e4895b.json",
					"name" : "__idf_soc",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 24,
					"id" : "__idf_spi_flash::@6f8a8c72478269b2cd60",
					"jsonFile" : "target-__idf_spi_flash-2b414cb74ecf41558b95.json",
					"name" : "__idf_spi_flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 85,
					"id" : "__idf_src::@2478b13de56d3028f688",
					"jsonFile" : "target-__idf_src-fe76e6bff7a9eb9026b3.json",
					"name" : "__idf_src",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 63,
					"id" : "__idf_tcp_transport::@2217ed266b3ca9834900",
					"jsonFile" : "target-__idf_tcp_transport-6019204f08a62ecb4f09.json",
					"name" : "__idf_tcp_transport",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 82,
					"id" : "__idf_touch_element::@01c672d9a2e23f1d367f",
					"jsonFile" : "target-__idf_touch_element-60e202d3d485f477a106.json",
					"name" : "__idf_touch_element",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 83,
					"id" : "__idf_ulp::@59f74c71af7e30dd3e55",
					"jsonFile" : "target-__idf_ulp-ff7ea4045f91691c6a1c.json",
					"name" : "__idf_ulp",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 54,
					"id" : "__idf_unity::@fec746937506b5690992",
					"jsonFile" : "target-__idf_unity-bee04178a209b1eb4769.json",
					"name" : "__idf_unity",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 84,
					"id" : "__idf_usb::@4a2418067d0bb57af462",
					"jsonFile" : "target-__idf_usb-c95dd260aa3ead51a649.json",
					"name" : "__idf_usb",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 46,
					"id" : "__idf_vfs::@57481f90220bce4f7e1a",
					"jsonFile" : "target-__idf_vfs-cb28fb337a234088bfea.json",
					"name" : "__idf_vfs",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 74,
					"id" : "__idf_wear_levelling::@cb21b0d7c0815cff11c6",
					"jsonFile" : "target-__idf_wear_levelling-7b8fcff36bbabb0706cd.json",
					"name" : "__idf_wear_levelling",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 50,
					"id" : "__idf_wpa_supplicant::@2124e86f93fbab1c8043",
					"jsonFile" : "target-__idf_wpa_supplicant-fc37ed5b628b2899a02c.json",
					"name" : "__idf_wpa_supplicant",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 2,
					"id" : "__idf_xtensa::@1daaaad7abe597e030f9",
					"jsonFile" : "target-__idf_xtensa-cb44361e92451338c65e.json",
					"name" : "__idf_xtensa",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 26,
					"id" : "__ldgen_output_sections.ld::@874df54e61e20112dfd4",
					"jsonFile" : "target-__ldgen_output_sections.ld-46b3349f2241ac44fea4.json",
					"name" : "__ldgen_output_sections.ld",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "_project_elf_src::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-_project_elf_src-77c5a01fefcd197b86f0.json",
					"name" : "_project_elf_src",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 9,
					"id" : "apidoc::@b8f87a1a94d8d9bb59bb",
					"jsonFile" : "target-apidoc-27f9fa80557b49cfab7d.json",
					"name" : "apidoc",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 0,
					"id" : "app::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-app-5ee2bf9e65b3c2687283.json",
					"name" : "app",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 19,
					"id" : "app-flash::@bf8f55be585a12323665",
					"jsonFile" : "target-app-flash-1f04c7ddcccaebfbc8aa.json",
					"name" : "app-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 19,
					"id" : "app_check_size::@bf8f55be585a12323665",
					"jsonFile" : "target-app_check_size-91f56ea40cf3b269910d.json",
					"name" : "app_check_size",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "bootloader::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-bootloader-c2570b0f9ca03d9eb0cc.json",
					"name" : "bootloader",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 18,
					"id" : "bootloader-flash::@4013c5adf9c02e1a402c",
					"jsonFile" : "target-bootloader-flash-33f4e07f303f297a394c.json",
					"name" : "bootloader-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "confserver::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-confserver-d47e50e98c9949af5b7c.json",
					"name" : "confserver",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 8,
					"id" : "custom_bundle::@9d0b8d44c897d31e7973",
					"jsonFile" : "target-custom_bundle-1384792a0c1f78ebfa66.json",
					"name" : "custom_bundle",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-7ad0e7845ec2485374fd.json",
					"name" : "dfu",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu-flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-flash-a999d4f6a0b0cf6c0e8e.json",
					"name" : "dfu-flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "dfu-list::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-dfu-list-f90e720e682d92bbc71c.json",
					"name" : "dfu-list",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 4,
					"id" : "efuse-common-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse-common-table-05c013be8f10a55dde02.json",
					"name" : "efuse-common-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "efuse-custom-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse-custom-table-383cc9611f8d0ef2a530.json",
					"name" : "efuse-custom-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "efuse_common_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_common_table-7dd1e970729b7e4ee910.json",
					"name" : "efuse_common_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "efuse_custom_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_custom_table-489aa946c11ad219efc5.json",
					"name" : "efuse_custom_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "efuse_test_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-efuse_test_table-a04ac74478455ec938d9.json",
					"name" : "efuse_test_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 19,
					"id" : "encrypted-app-flash::@bf8f55be585a12323665",
					"jsonFile" : "target-encrypted-app-flash-eac3e89161e78fa65323.json",
					"name" : "encrypted-app-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 18,
					"id" : "encrypted-bootloader-flash::@4013c5adf9c02e1a402c",
					"jsonFile" : "target-encrypted-bootloader-flash-8f77b10addbd655adb5d.json",
					"name" : "encrypted-bootloader-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "encrypted-flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-encrypted-flash-3bdf71181b640e4e73dd.json",
					"name" : "encrypted-flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 20,
					"id" : "encrypted-partition-table-flash::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-encrypted-partition-table-flash-ca69b5b5e10ad5e11c65.json",
					"name" : "encrypted-partition-table-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "erase_flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-erase_flash-379bed46e1a46f2211a3.json",
					"name" : "erase_flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 12,
					"id" : "everest::@3ecd26ac3776729513f0",
					"jsonFile" : "target-everest-0653a429d5aa666e1d43.json",
					"name" : "everest",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 0,
					"id" : "flash::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-flash-836e56863e9db01c23d8.json",
					"name" : "flash",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "gen_project_binary::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-gen_project_binary-a6ef8d760762e3b44234.json",
					"name" : "gen_project_binary",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 14,
					"id" : "lib::@12759e2a35724d846b97",
					"jsonFile" : "target-lib-12806649361f492bdd74.json",
					"name" : "lib",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 14,
					"id" : "mbedcrypto::@12759e2a35724d846b97",
					"jsonFile" : "target-mbedcrypto-2e42adfdfcacc3407721.json",
					"name" : "mbedcrypto",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 14,
					"id" : "mbedtls::@12759e2a35724d846b97",
					"jsonFile" : "target-mbedtls-59cb634e81098f1e3945.json",
					"name" : "mbedtls",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 14,
					"id" : "mbedx509::@12759e2a35724d846b97",
					"jsonFile" : "target-mbedx509-2450c268bb97b2fb04b6.json",
					"name" : "mbedx509",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 26,
					"id" : "memory_ld::@874df54e61e20112dfd4",
					"jsonFile" : "target-memory_ld-118779589c719f487f1b.json",
					"name" : "memory_ld",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "menuconfig::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-menuconfig-2810aad73a6966bf6255.json",
					"name" : "menuconfig",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "monitor::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-monitor-74d0126220e41d5602a9.json",
					"name" : "monitor",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 13,
					"id" : "p256m::@c854ae7c6350d6f63df0",
					"jsonFile" : "target-p256m-a14fa5649bcbfd83ce5d.json",
					"name" : "p256m",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 20,
					"id" : "partition-table::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-partition-table-d5a09475341bc23af36f.json",
					"name" : "partition-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 20,
					"id" : "partition-table-flash::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-partition-table-flash-bc32dadd7377b72131e8.json",
					"name" : "partition-table-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 20,
					"id" : "partition_table::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-partition_table-ecc480da049c87807a4b.json",
					"name" : "partition_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 20,
					"id" : "partition_table-flash::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-partition_table-flash-4511f6f0a35ed126bdc0.json",
					"name" : "partition_table-flash",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 20,
					"id" : "partition_table_bin::@8e7a60ee4fe55e1aaabf",
					"jsonFile" : "target-partition_table_bin-8c99ea3479a3ea9bc0f5.json",
					"name" : "partition_table_bin",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "save-defconfig::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-save-defconfig-29be6850391863208248.json",
					"name" : "save-defconfig",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 4,
					"id" : "show-efuse-table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-show-efuse-table-21c6df4be15850f359e2.json",
					"name" : "show-efuse-table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 4,
					"id" : "show_efuse_table::@2da764c922f8b73e9c75",
					"jsonFile" : "target-show_efuse_table-45b8877690806d1eb98f.json",
					"name" : "show_efuse_table",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "size::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-3ad9a13fbe0d90a50a83.json",
					"name" : "size",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "size-components::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-components-4c44142cdc6ea32c2521.json",
					"name" : "size-components",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "size-files::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-size-files-d0d56e801f7744c82dba.json",
					"name" : "size-files",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "uf2::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-uf2-2e253d8a5b156f7cf520.json",
					"name" : "uf2",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "uf2-app::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-uf2-app-8e16b8c48ec0598c45dd.json",
					"name" : "uf2-app",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 85,
					"id" : "ulp_main::@2478b13de56d3028f688",
					"jsonFile" : "target-ulp_main-fbb2082bfeaab4bb32c3.json",
					"name" : "ulp_main",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 85,
					"id" : "ulp_main_artifacts::@2478b13de56d3028f688",
					"jsonFile" : "target-ulp_main_artifacts-dc3143f597d8294d3365.json",
					"name" : "ulp_main_artifacts",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 0,
					"id" : "waterius-esp32.elf::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-waterius-esp32.elf-d0925f7d12e5aec95f6e.json",
					"name" : "waterius-esp32.elf",
					"projectIndex" : 0
				}
			]
		}
	],
	"kind" : "codemodel",
	"paths" : 
	{
		"build" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/build/esp32s2",
		"source" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2"
	},
	"version" : 
	{
		"major" : 2,
		"minor" : 3
	}
}
